//////////////////////////////////////////////////////////////////////////////
//  Author : florent robinet (LAL - Orsay): robinet@lal.in2p3.fr
//////////////////////////////////////////////////////////////////////////////
#include "ReadTriggers.h"

ClassImp(ReadTriggers)

////////////////////////////////////////////////////////////////////////////////////
ReadTriggers::ReadTriggers(const string aPattern, const string aDirectory, const int aVerbose) : ReadTriggerMetaData (aPattern, aDirectory, aVerbose), Triggers(aVerbose), Streams(ReadTriggerMetaData::GetStreamName()) { 
////////////////////////////////////////////////////////////////////////////////////
  gErrorIgnoreLevel = 3000;
  Triggers::ReadTriggerFiles(aPattern, aDirectory);
}

////////////////////////////////////////////////////////////////////////////////////
ReadTriggers::~ReadTriggers(void){
////////////////////////////////////////////////////////////////////////////////////
  if(ReadTriggerSegments::Verbose>1) cout<<"ReadTriggers::~ReadTriggers"<<endl;
}
